<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@id/exo_bottom_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#10000000"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.appcompat.widget.AppCompatImageButton
            android:id="@id/exo_play_pause"
            android:layout_width="@dimen/dp_44"
            android:layout_height="@dimen/dp_44"
            android:padding="@dimen/dp_12"
            android:background="@null"
            android:scaleType="centerCrop"
            android:src="@drawable/exo_styled_controls_play"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@id/exo_position"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_8"
            android:text="00:00"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/exo_play_pause"
            app:layout_constraintStart_toEndOf="@id/exo_play_pause"
            app:layout_constraintTop_toTopOf="@id/exo_play_pause" />

        <androidx.media3.ui.DefaultTimeBar
            android:id="@+id/exo_progress"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_10"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="@id/exo_play_pause"
            app:layout_constraintEnd_toStartOf="@id/exo_duration"
            app:layout_constraintStart_toEndOf="@id/exo_position"
            app:layout_constraintTop_toTopOf="@id/exo_play_pause" />

        <TextView
            android:id="@id/exo_duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_14"
            android:text="00:00"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            app:layout_constraintTop_toTopOf="@id/exo_play_pause"
            app:layout_constraintBottom_toBottomOf="@id/exo_play_pause"
            app:layout_constraintEnd_toEndOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>